Summary: Access your iPods like any other disk
Name: ipodfs
Version: 0.4
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://homepages.nildram.co.uk/~phekda/richdawe/ipodfs/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libgpod-devel
BuildRequires: fuse-devel >= 2.5.0

# For man2html
BuildRequires: man

Requires: fuse
Requires: id3lib

%description
ipodfs is a user-space filesystem for accessing iPods using FUSE
(Filesystems in Userspace). It provides simple access to your iPod.
Mount your iPod using ipodfs, then just copy your music files onto it
using normal file management tools.

If you have simple needs, using ipodfs is much simpler than using
GUI management tools like gtkpod.

ipodfs was developed primarily for the iPod Shuffle, but /may/ work
with other iPods.

NOTE: iTunes and iPod are trademarks of Apple. This product is not
supported/written/published by Apple.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} bindir=%{_bindir} mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README TODO ipodfs.html
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sun Sep 03 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 0.4-1
- Bugfix: Add libgpod-devel to build requirements.
- Bugfix: Report correct number of blocks for files.
- Bugfix: Lock access to the iTunes DB, to prevent corruption
  when multiple programs are writing to the iPod.
- Allow the source mount point for the iPod to specified
  on the command-line.
- Add itdb-files and ipod-orphaned to help debug ipodfs.
- Add support for setting file ownership and permissions.
- Documentation.

* Fri Jul 14 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 0.3-1
- Add support for renaming files.

* Wed Apr 05 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 0.2-1
- Initial packaging.
